HWE.chisq {GeneticsBase} | R Documentation

## Hardy-Weinberg Equilibrium Significance test for a biallelic locus

### Description

Hardy-Weinberg Equilibrium Significance test for a biallelic locus .

### Usage

    HWE.chisq(object,
              marker,
              simulate.p.value = TRUE,
              B = 10000,
              founderOnly=TRUE,
              ...)

### Arguments

`object` | a geneSet object.
`marker` | marker name for the biallelic locus.
`simulate.p.value` | a logical indicating whether to compute p-values by Monte Carlo simulation.
`B` | an integer specifying the number of replicates used in the Monte Carlo test. Defaults to 10000.
`founderOnly` | Indicates if only founders are used to do the test.
`...` | Othere arguments used by the function `chisq.test`.

### Value

The values of the function `HWE.chisq` is the same as those of the function `chisq.test`. Part of the values are listed below:

`statistic` | the value the chi-squared test statistic.
`parameter` | the degrees of freedom of the approximate chi-squared distribution of the test statistic, 'NA' if the p-value is computed by Monte Carlo simulation.
`p.value` | the p-value for the test.

### Author(s)

Gregory R. Warnes gregory.r.warnes@pfizer.com and Nitin Jain nitin.jain@pfizer.com

### See Also

`HWE.exact`

### Examples

    library(GeneticsBase)
    data(CAMP)

    HWE.chisq(CAMP, marker="m654")

[Package GeneticsBase version 1.8.0 Index]